export declare const VIEWER_CART_TOKEN = "_shopify_cart";
export declare const VIEWER_ACCESS_TOKEN = "_shopify_viewer";
export declare const VIEWER_EMAIL = "_shopify_viewer_email";
interface CookieConfig {
    expires?: number;
    path?: string;
}
export declare const setCookie: (key: string, val: any, config?: CookieConfig | undefined) => void;
export declare const getCookie: <ExpectedResult>(key: string) => ExpectedResult | null;
export declare const removeCookie: (key: string) => void;
export declare const persistData: (key: string, val: any, forceCookie: boolean) => void;
export declare const retrieveData: <ExpectedResult>(key: string, forceCookie: boolean) => ExpectedResult | null;
export {};
