import { CheckoutResponse } from '../../types';
export declare const CHECKOUT_ATTRIBUTES_UPDATE: import("graphql").DocumentNode;
interface CustomAttribute {
    key: string;
    value: string;
}
export interface CheckoutAttributesUpdateV2Input {
    allowPartialAddresses?: boolean;
    customAttributes?: CustomAttribute[];
    note?: string;
}
export interface CheckoutAttributesUpdateArgs {
    checkoutId: string;
    input: CheckoutAttributesUpdateV2Input;
}
export declare type CheckoutAttributesUpdateResponse = CheckoutResponse<'checkoutAttributesUpdateV2'>;
export {};
